# Uses of Class
org.eclipse.ui.navigator.PipelinedShapeModification

Packages that use PipelinedShapeModification
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of PipelinedShapeModification in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return PipelinedShapeModification
Modifier and Type
Method
Description
`PipelinedShapeModification`
INavigatorPipelineService.`interceptAdd(PipelinedShapeModification anAddModification)`
Intercept attempts to add elements directly to the viewer.
`PipelinedShapeModification`
IPipelinedTreeContentProvider.`interceptAdd(PipelinedShapeModification anAddModification)`
Intercept attempts to add elements directly to the viewer.
`PipelinedShapeModification`
INavigatorPipelineService.`interceptRemove(PipelinedShapeModification aRemoveModification)`
Intercept attempts to remove elements directly from the viewer.
`PipelinedShapeModification`
IPipelinedTreeContentProvider.`interceptRemove(PipelinedShapeModification aRemoveModification)`
Intercept attempts to remove elements directly from the viewer.
Methods in org.eclipse.ui.navigator with parameters of type PipelinedShapeModification
Modifier and Type
Method
Description
`PipelinedShapeModification`
INavigatorPipelineService.`interceptAdd(PipelinedShapeModification anAddModification)`
Intercept attempts to add elements directly to the viewer.
`PipelinedShapeModification`
IPipelinedTreeContentProvider.`interceptAdd(PipelinedShapeModification anAddModification)`
Intercept attempts to add elements directly to the viewer.
`PipelinedShapeModification`
INavigatorPipelineService.`interceptRemove(PipelinedShapeModification aRemoveModification)`
Intercept attempts to remove elements directly from the viewer.
`PipelinedShapeModification`
IPipelinedTreeContentProvider.`interceptRemove(PipelinedShapeModification aRemoveModification)`
Intercept attempts to remove elements directly from the viewer.